Bug 1922049 - [abrt] pipewire: find_transport(): pipewire-media-session killed by SIGSEGV
Summary: [abrt] pipewire: find_transport(): pipewire-media-session killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b8ef91a390a4dc680047eef1fb9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-29 05:50 UTC by Kenneth MUHIA
Modified: 2021-02-06 01:18 UTC (History)
2 users (show)

Fixed In Version: pipewire-0.3.21-2.fc33
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-06 01:18:00 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (28.83 KB, text/plain)
2021-01-29 05:50 UTC, Kenneth MUHIA
no flags Details
File: core_backtrace (4.46 KB, text/plain)
2021-01-29 05:50 UTC, Kenneth MUHIA
no flags Details
File: cpuinfo (2.48 KB, text/plain)
2021-01-29 05:50 UTC, Kenneth MUHIA
no flags Details
File: dso_list (3.99 KB, text/plain)
2021-01-29 05:50 UTC, Kenneth MUHIA
no flags Details
File: environ (1.23 KB, text/plain)
2021-01-29 05:50 UTC, Kenneth MUHIA
no flags Details
File: exploitable (82 bytes, text/plain)
2021-01-29 05:50 UTC, Kenneth MUHIA
no flags Details
File: limits (1.29 KB, text/plain)
2021-01-29 05:50 UTC, Kenneth MUHIA
no flags Details
File: maps (24.82 KB, text/plain)
2021-01-29 05:50 UTC, Kenneth MUHIA
no flags Details
File: mountinfo (2.84 KB, text/plain)
2021-01-29 05:50 UTC, Kenneth MUHIA
no flags Details
File: open_fds (5.52 KB, text/plain)
2021-01-29 05:50 UTC, Kenneth MUHIA
no flags Details
File: proc_pid_status (1.40 KB, text/plain)
2021-01-29 05:50 UTC, Kenneth MUHIA
no flags Details

Description Kenneth MUHIA 2021-01-29 05:50:09 UTC
Description of problem:
Flipped the bluetooth switch

Version-Release number of selected component:
pipewire-0.3.20-1.fc34

Additional info:
reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/pipewire.service
cmdline:        /usr/bin/pipewire-media-session
crash_function: find_transport
executable:     /usr/bin/pipewire-media-session
journald_cursor: s=4f4d9ea2c0e54f37bb56ea0f590a6f3b;i=18f2cb;b=bd377f3e00ba4b268a86f3dbc7109795;m=2b43cf0cf;t=5ba02b68a1021;x=b73f152174f4b0af
kernel:         5.11.0-0.rc5.20210127git2ab38c17aac1.136.fc34.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 find_transport at ../spa/plugins/bluez5/bluez5-device.c:147
 #1 emit_nodes.isra.0 at ../spa/plugins/bluez5/bluez5-device.c:180
 #2 set_profile at ../spa/plugins/bluez5/bluez5-device.c:228
 #3 impl_set_param at ../spa/plugins/bluez5/bluez5-device.c:758
 #4 device_demarshal_set_param at ../src/modules/module-client-device/protocol-native.c:188
 #5 process_remote at ../src/modules/module-protocol-native.c:766
 #6 on_remote_data at ../src/modules/module-protocol-native.c:800
 #7 loop_iterate at ../spa/plugins/support/loop.c:308
 #8 pw_main_loop_run at ../src/pipewire/main-loop.c:158

Comment 1 Kenneth MUHIA 2021-01-29 05:50:14 UTC
Created attachment 1751941 [details]
File: backtrace

Comment 2 Kenneth MUHIA 2021-01-29 05:50:16 UTC
Created attachment 1751942 [details]
File: core_backtrace

Comment 3 Kenneth MUHIA 2021-01-29 05:50:17 UTC
Created attachment 1751943 [details]
File: cpuinfo

Comment 4 Kenneth MUHIA 2021-01-29 05:50:19 UTC
Created attachment 1751944 [details]
File: dso_list

Comment 5 Kenneth MUHIA 2021-01-29 05:50:20 UTC
Created attachment 1751945 [details]
File: environ

Comment 6 Kenneth MUHIA 2021-01-29 05:50:22 UTC
Created attachment 1751946 [details]
File: exploitable

Comment 7 Kenneth MUHIA 2021-01-29 05:50:23 UTC
Created attachment 1751947 [details]
File: limits

Comment 8 Kenneth MUHIA 2021-01-29 05:50:26 UTC
Created attachment 1751948 [details]
File: maps

Comment 9 Kenneth MUHIA 2021-01-29 05:50:27 UTC
Created attachment 1751949 [details]
File: mountinfo

Comment 10 Kenneth MUHIA 2021-01-29 05:50:29 UTC
Created attachment 1751950 [details]
File: open_fds

Comment 11 Kenneth MUHIA 2021-01-29 05:50:31 UTC
Created attachment 1751951 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2021-02-04 10:39:28 UTC
FEDORA-2021-f394ea10e9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f394ea10e9

Comment 13 Fedora Update System 2021-02-05 01:27:31 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d6d23603c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d6d23603c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-02-06 01:18:00 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.